package gonganxitong

import (
	"shylinux.com/x/ice"
	"shylinux.com/x/icebergs/base/ctx"
	kit "shylinux.com/x/toolkits"

	"shylinux.com/x/community/src/gonganxitong/model"
)

type event struct {
	Table
	user   user
	portal string `data:"true"`
}

func (s event) List(m *ice.Message, arg ...string) {
	s.Tables(m, s.user).Fields(m,
		s.Key(s, model.CREATED_AT), s.Key(s, model.ID),
		model.USER_AVATAR, model.USER_NAME,
		ctx.INDEX, model.OPERATE, ctx.ARGS, model.INFO,
		s.Key(s, model.UID), model.USER_UID,
	).Orders(m, s.Desc(model.CREATED_AT))
	if len(arg) == 0 {
		if m.IsTech() {
			s.Select(m)
		}
	} else if len(arg) == 1 {
		s.Select(m, model.PLACE_UID, arg[0])
	} else {
		s.Select(m.FieldsSetDetail(), s.Key(s, model.UID), arg[1])
	}
	m.Display("")
}
func init() { ice.TeamCtxCmd(event{}) }

func (s event) Record(m *ice.Message, info string, arg ...string) {
	m.Cmd(s, s.Create, m.OptionSimple(model.USER_UID, model.PLACE_UID), model.INFO, info, ctx.INDEX, m.PrefixKey(), model.OPERATE, m.ActionKey(), ctx.ARGS, kit.Join(arg, ","))
}
